osgWidget::CallbackInterface Struct Referenceabstract

`#include <EventInterface>`

Inheritance diagram for osgWidget::CallbackInterface:

## Public Member Functions

virtual | ~CallbackInterface ()
virtual const char * | className () const
virtual bool | operator() (Event &)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ~CallbackInterface()

virtual osgWidget::CallbackInterface::~CallbackInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## className()

virtual const char * osgWidget::CallbackInterface::className | ( |  | ) | const

inline virtual

## operator()()

virtual bool osgWidget::CallbackInterface::operator() | ( | Event & |  | ) |

pure virtual

Implemented in osgWidget::FunctionCallback< T >, and osgWidget::ObjectCallback< T >.

The documentation for this struct was generated from the following file:

- EventInterface